;TASM/MASM Win32 coding tutorial pt. 0,5  -  by T$ (ts@deinmeister.de)
;
;compile with:
; TASMX.EXE /s /r /ml /m4 win001.asm   (TASM)
; ML.EXE /Dmasm /c /Cx /coff win001.asm (MASM)
;link with:
; TLINK32.EXE -c -Tpe -aa win001,,,import32.lib,,win001.res (TLINK)
; LINK.EXE win001 kernel32.lib user32.lib win001.res /subsystem:windows (MASM)


;set 32 Bit "flat" memory model:

		.386
		.model flat

;windows.inc for MASM needs the following option set:
	IFDEF masm
		option casemap :none
	ENDIF

;constants and structures for the 
;WinAPI core functions (TASM/MASM-Syntax):

		include windows.inc 


;include external (windows) functions:

	IFDEF masm
	 MessageBoxA equ _MessageBoxA@16
	 ExitProcess equ _ExitProcess@4
	ENDIF

		extrn ExitProcess : near
		extrn MessageBoxA : near


;put the data here:

		.data

		MessageBoxJustatitle    db "Unbelievable, but reality",0
		MessageBoxUselessContent db "Great message, isn`t it ?",0
		ErrorCode dd 0 


;and the code there:

		.code

 ;execution starts here
		_letsbegin:

 ;masses of code, this MessageBox, for example

		push MB_ICONHAND or MB_OKCANCEL
		push offset MessageBoxJustatitle
		push offset MessageBoxUselessContent
      ;One could pass the window handle here, 
      ;but windows are introduced in the next tutorial:
		push 0  
		call MessageBoxA        
      ;return value: in EAX resides a value
      ;indicating which button was clicked on



 ;thats enuf today: lets get outta here

 
		push ErrorCode
		call ExitProcess
     ;astalavista, baby...


;define the entry point:
		end _letsbegin