@echo off
@echo . Hi, this is the Win32 - Assembler - Coding - Tutorial Pt. 0,5
@echo .
@echo . If compiling/linking does not work, check the paths and
@echo . set them accordingly, if necessary. Especially TLINK  
@echo . needs the direct path to the *.lib files in its 
@echo . command-line !
@echo . 
@echo . 
@echo . First, a ressource is created out of the icon file:
@echo . 
@echo . 

GORC.EXE /r win001.rc

@echo . 
@echo . 
@echo . Now the NASM version gets compiled with NASMW:
@echo . 
@echo . 
 
NASMW.EXE -fobj win001_n.asm

@echo . 
@echo . 
@echo . Now the NASM version gets linked with ALINK:
@echo . 
@echo . 

ALINK.EXE -c -oPE  -subsys gui win001_n win001.res

@echo . 
@echo . 
@echo . NASM version is ready - starting NASM version
@echo . 

win001_n

pause

@echo --------------------------------------------------------
@echo . 
@echo . 
@echo . Now the TASM version gets compiled with TASMX:
@echo . 
@echo . 
 
TASMX.EXE /s /r /ml /m4 win001.asm

@echo . 
@echo . 
@echo . Now the TASM version is linked together by TLINK32:
@echo . 
@echo . 

TLINK32.EXE -c -Tpe -aa win001,,,import32.lib,,win001.res

@echo . 
@echo . 
@echo . TASM version is ready - starting TASM version
@echo . 

win001

pause

@echo --------------------------------------------------------

@echo . 
@echo . 
@echo . Now the MASM version gets compiled with MASM (ML.EXE):
@echo .  
@echo .  
 
ML.EXE /Dmasm /c /Cx /coff win001.asm

@echo . 
@echo . 
@echo . Now the MASM version gets linked with LINK:
@echo .  
@echo .  

LINK.EXE win001 kernel32.lib user32.lib win001.res /subsystem:windows

@echo . 
@echo . 
@echo . MASM version finished - starting MASM version
@echo . 

win001

pause

@echo . 
@echo --------------------------------------------------------
@echo . That was it - see you next time
@echo . 